## edu.wisc.ssec.mcidas
Class AreaDirectoryList

    java.lang.Object
      edu.wisc.ssec.mcidas.AreaDirectoryList

public class AreaDirectoryList
extends Object

AreaDirectoryList interface for McIDAS 'area' file format image data. Provides access to a list of one or more AreaDirectoy objects.

Constructor Summary
`AreaDirectoryList(String imageSource)` creates an AreaDirectory object that allows reading of McIDAS 'area' file format image data.
`AreaDirectoryList(URL url)` creates an AreaDirectory object that allows reading of the directory of McIDAS 'area' files from a URL

Method Summary
`ArrayList` `getDirs()` returns the directory blocks for the requested images.
`AreaDirectory[][]` `getSortedDirs()` returns the directory blocks for the requested images, sorted into an array of AreaDirectories by time and then bands as the second dimenison, if multiple directories with the same ADDE position number are returned.
`static void` `main(String[] args)`
`String` `toString()` Prints out a formatted listing of the directory info

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AreaDirectoryList

    public AreaDirectoryList(String imageSource)
                      throws AreaFileException

  creates an AreaDirectory object that allows reading of McIDAS 'area' file format image data. allows reading either from a disk file, or a server via ADDE.

Parameters:
  `imageSource` - the file name or ADDE URL to read from
Throws:
  `AreaFileException` - if file cannot be opened

### AreaDirectoryList

    public AreaDirectoryList(URL url)
                      throws AreaFileException

  creates an AreaDirectory object that allows reading of the directory of McIDAS 'area' files from a URL

Throws:
  `AreaFileException` - if file cannot be opened

Method Detail

### getSortedDirs

    public AreaDirectory[][] getSortedDirs()
                                    throws AreaFileException

  returns the directory blocks for the requested images, sorted into an array of AreaDirectories by time and then bands as the second dimenison, if multiple directories with the same ADDE position number are returned.

  Throws:
    `AreaFileException`

### getDirs

    public ArrayList getDirs()
                      throws AreaFileException

  returns the directory blocks for the requested images.

  Returns:
    a ArrayList of AreaDirectorys
  Throws:
    `AreaFileException` - if there was a problem reading the directory
  See Also:
    McIDAS Programmer's Manual for information on the parameters for each value.

### toString

    public String toString()

  Prints out a formatted listing of the directory info

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`